%define module_version 0.01
%define module_name Catalyst-Model-DBIx-Connector
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Catalyst/Model.pm) perl(Config.pm) perl(Cwd.pm) perl(DBIx/Connector.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Catalyst model base class for DBI connections using DBIx::Connector
Group: Development/Perl
License: mit
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/P/PR/PRAVUS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
`Catalyst::Model::DBIx::Connector' is a simple base class that.can be used to easily add DBI connections to your Catalyst apps.  It
uses `DBIx::Connector' to add disconnect detection and automatic
reconnection to the database once a connection has dropped.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*

%changelog
* Thu Jan 09 2014 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.00-alt1
- initial import by package builder

